> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Platform ledger history

> Paginated list of all fee credits and withdrawals.



## OpenAPI

````yaml /openapi.json get /api/v1/admin/platform/ledger
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/admin/platform/ledger:
    get:
      tags:
        - Admin
      summary: Platform ledger history
      description: Paginated list of all fee credits and withdrawals.
      operationId: AdminController_getLedger
      parameters:
        - name: limit
          required: false
          in: query
          schema:
            example: 20
        - name: page
          required: false
          in: query
          schema:
            example: 1
      responses:
        '200':
          description: Platform ledger history retrieved successfully.
        '403':
          description: Authenticated, but not permitted to perform this action.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
      security:
        - admin-key: []
components:
  schemas:
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp

````